<template>
  <!-- ส่วนที่แสดงช่องกรอกข้อมูลใหม่ -->
  <v-card-text>
    <v-text-field v-model="new_Name"></v-text-field>
  </v-card-text>

  <!-- ส่วนปุ่มยืนยันและยกเลิก -->
  <v-card-actions class="justify-end mt-n7">
    <v-btn @click="confirmChange">Submit</v-btn>
    <v-btn @click="cancelChange">Cancel</v-btn>
  </v-card-actions>
</template>

<script>
export default {
  // รับค่า prop ที่ถูกส่งมาจาก parent component
  props: ['profile'],
  data() {
    // กำหนดค่าเริ่มต้นให้กับตัวแปรใน data
    return {
      new_Name: this.profile.fname,
    };
  },
  methods: {
    // ส่งข้อมูลใหม่กลับไปยัง parent component เมื่อกดปุ่มยืนยัน
    confirmChange() {
      this.$emit('confirmChange', this.new_Name);
    },

    // ส่ง event ยกเลิกไปยัง parent component เมื่อกดปุ่มยกเลิก
    cancelChange() {
      this.$emit('cancelChange');
    },
  },
};
</script>
